
clear all
fprintf('\n%s\n','This program adds results from fitting program to your original Excel template file');
fprintf('\n%s\n','Excel 2007 (or 2010) is assumed (suffix = xlsx)');
fprintf('\n%s\n\n','If you use Excel 2003, change xlsx to xls in Line 18 of this code');
fprintf('\n%s\n','The program also assumes that your last fitting iteration was the best one');
fprintf('\n%s\n','if this was not the case, repeating your iteration first with the best results');
fprintf('\n%s\n\n','you got as the initial guess and abort this program by pressing Ctrl+c');
fprintf('\n%s\n','Note that if fitted to more than one model (1:1, 1:2...) all the  ');
fprintf('\n%s\n','key results will be exported but ONLY the last set of fitted data  ');
fprintf('\n%s\n\n','will be exported regardless of whether they came from the 1:1, 1:2...fitting process.');
fprintf('\n%s\n\n','Please note that this progress can be slow');


%
%
%
str2 = input ('Enter name of file (without suffix)','s');
load(str2);
filename=[str2,'.xlsx'];

comm2=['sum of squares (ss)'];
comm3=['Standard error (SEy)'];
comm4=['covariance of fit'];
comm5=['Results for Ka'];
comm6=['Results for other fitted parameters'];
comm7=['Results for K1'];
comm8=['Results for K2'];
comm11=['%confidence inteval on parameters (from asymptotic error): '];
tt=size(DA,1);
tt2=tt*2;
tt3=tt*3;
tt4=tt*4;
sizet=size(DA,2);
itn=size(yall,2);
siz2=sizet*2;
siz4=sizet*4;
if sizet == 4;
       ff=DA(1,1);
       ffa=DA(1,2);
       ffb=DA(1,3);
       ffc=DA(1,4);
        fff=yall(1:tt,itn)+ff;
        fff(:,2)=yall(tt+1:tt2,itn)+ffa;
        fff(:,3)=yall(tt2+1:tt3,itn)+ffb;
        fff(:,4)=yall(tt3+1:tt4,itn)+ffc;
    elseif sizet == 3;
      ff=DA(1,1);
       ffa=DA(1,2);
       ffb=DA(1,3);
        fff=yall(1:tt,itn)+ff;
        fff(:,2)=yall(tt+1:tt2,itn)+ffa;
        fff(:,3)=yall(tt2+1:tt3,itn)+ffb;
        elseif sizet == 2;
         ff=DA(1,1);
       ffa=DA(1,2);
        fff=yall(1:tt,itn)+ff;
        fff(:,2)=yall(tt+1:tt2,itn)+ffa;
        else; 
         ff=DA(1,1);
        fff=yall(:,itn)+ff;
end

fitdata=txt2;
fitdata(1:2)={'Fitted data';'    '};
%fidata(7:14)={'    ',comm2,comm3,comm4};
resudata1={comm5,comm6};
resstat={comm2,comm3,comm4};
resudata2={comm7,comm8,comm6};
resconfi={comm11};
szrow=sizet+3;
rowdd=sprintf('%c','A'+szrow);
rownd=[rowdd,'1'];
szrow2=sizet+5;
rowdd2=sprintf('%c','A'+szrow2);
rowndd2=[rowdd2,'2'];
szrow3=sizet+10;
rowdd3=sprintf('%c','A'+szrow3);
rownd3z=[rowdd3,'2'];
rownd3=[rowdd3,'3'];
rownd3x=[rowdd3,'1'];
rownd3a=[rowdd3,'4'];
rownd3b=[rowdd3,'5'];
rownd3c=[rowdd3,'6'];
rownd3d=[rowdd3,'7'];
rownd3x1=[rowdd3,'9'];
rownd3st1=[rowdd3,'10'];
rownd3st2=[rowdd3,'11'];
rownd3e=[rowdd3,'12'];
rownd3f=[rowdd3,'13'];
rownd3g=[rowdd3,'14'];
rownd3h=[rowdd3,'15'];

rownd3x2=[rowdd3,'17'];
rownd3st3=[rowdd3,'18'];
rownd3st4=[rowdd3,'19'];

rownd3i=[rowdd3,'20'];
rownd3j=[rowdd3,'21'];
rownd3k=[rowdd3,'22'];
rownd3l=[rowdd3,'23'];
xlswrite(filename,fitdata,'Sheet1',rownd);
xlswrite(filename,fff,'Sheet1',rowndd2);

if oneone ~ [];
        itn=size(oneone,1);
        oneres=oneone(itn,sizet+2:siz2+2);
        pererr1 =((oneres(:)-betaci(:,1))./oneres(:)).*100;
        pererr1=pererr1';
        onestat=oneone(itn,siz2+5:siz2+6);
        onestat(3)=oneone(itn,siz2+8);
        this1={'Results from 1:1 fitting'};
        xlswrite(filename,this1,'Sheet1',rownd3x);
        xlswrite(filename,resstat,'Sheet1',rownd3z);
        xlswrite(filename,onestat,'Sheet1',rownd3);
        xlswrite(filename,resudata1,'Sheet1',rownd3a);
        xlswrite(filename,oneres,'Sheet1',rownd3b);
        xlswrite(filename,resconfi,'Sheet1',rownd3c);
        xlswrite(filename,pererr1,'Sheet1',rownd3d);

end

if onetwo ~ [];
        itn=size(onetwo,1);
        oneres2=onetwo(itn,siz2+3:siz4+4);
        pererr2 =((oneres2(:)-betaci2(:,1))./oneres2(:)).*100;
        pererr2=pererr2';
        onestat2=onetwo(itn,siz4+7:siz4+8);
        onestat2(3)=onetwo(itn,siz4+10);
        this2={'Results from 1:2 fitting'};
        xlswrite(filename,this2,'Sheet1',rownd3x1);
        xlswrite(filename,resstat,'Sheet1',rownd3st1);
        xlswrite(filename,onestat2,'Sheet1',rownd3st2);
        xlswrite(filename,resudata2,'Sheet1',rownd3e);
        xlswrite(filename,oneres2,'Sheet1',rownd3f);
        xlswrite(filename,resconfi,'Sheet1',rownd3g);
        xlswrite(filename,pererr2,'Sheet1',rownd3h);
end
if twoone ~ [];
        itn=size(twoone,1);
        oneres3=twoone(itn,siz2+3:siz4+4);
        pererr3 =((oneres3(:)-betaci3(:,1))./oneres3(:)).*100;
        pererr3=pererr3';
        onestat3=twoone(itn,siz4+7:siz4+8);
        onestat3(3)=twoone(itn,siz4+10);
        this3={'Results from 2:1 fitting'};
        xlswrite(filename,this3,'Sheet1',rownd3x2);
        xlswrite(filename,resstat,'Sheet1',rownd3st3);
        xlswrite(filename,onestat3,'Sheet1',rownd3st4);
        xlswrite(filename,resudata2,'Sheet1',rownd3i);
        xlswrite(filename,oneres3,'Sheet1',rownd3j);
        xlswrite(filename,resconfi,'Sheet1',rownd3k);
        xlswrite(filename,pererr3,'Sheet1',rownd3l);
end
   