function ss=uv2to1para1bnn(para,initial,DA);

%ss is the outcome of this function, it is this value which fminsearch or other 
%minimizing functions will try to minimize, para = start1 or the vector which the
%minimizing funciton passed on uv1to2concb, i.e. the parameters which are going 
%to be adjusted by the minimizing function. initial and DA are the experimental 
%values passed on to the uv1to2concb function. 

Ltot = [initial(:,1)];		%Reads Ltot = total conc. of guest value.
htot = [initial(:,2)];		%Reads htot = total conc. of host value.
K11=para(1); 					%Reads K11 (K1) binding constant from para. 
K12=para(2); 					%Reads K12 (K2) binding constant from para.
D11=para(3); 					%Reads e11 from para, see fit1to2concuv. 
D12=para(4); 					%Reads e12 from para, see fit1to2concuv.


%K11=exp(K11);
%K12=exp(K12);
%H=para(7);
H=1;
htot=htot.*H;
%This extracts the absorbance at added ligand=0, i.e the A in the beginning and 
%assigns it to the constant ff.
ttb=size(DA);
tt=ttb(1,1);
gg=tt/1;

ff=DA(1,1);



%Change starts:

%fff(:,1)=(htot./htoto).*ff;
%fff(gg+1:gg*2,1)=(htot./htoto).*ffa;

fff(1:gg,1)=ff;

%This adjust the A(0) value for dilution, that is the value of ff is multiplied 
%by total conc. of host at a given point divided with the concentration of the 
%host in the beginning.

DA=(DA-fff); 

ba=Ltot(1,1);
%ba=Ltot(1,1);
%D0=para(5);
b=uv1to2bb(Ltot,htot,K11,K12); %passes Ltot,htot,K11 and K12 to a function
%b(1)=ba;
b(1)=ba;

%The next line then calculates the binding curve according to the values K11,K12,
%e11 and e12 together with the calculated free ligand conc. b. This is really the
%"master" equation and it is taken from K. A. Connors in Binding Constants, John
%Wiley and Sonc, New York, 1987, p. 161, eq. 4.28 with the minor modification that
%beta11 is replaced by K11 and beta12 with K11*K12 as beta12 equal the overall 
%binding constant for 1:2 complex, whilst K11 and K12are the stepwise binding 
%constants.

y(1:gg,1) = htot.*(((b.*K11.*D11)+(b.*b.*2.*K11.*K12.*D12))./(1+(b.*K11)+(b.*b.*K11.*K12)));



%divider=(1+(b.*K11)+(b.*b.*K11.*K12));


Error=y-DA; 					%Calculates the residuals error.

ss=sum(Error.^2);

%Calculates the sum of the squares of the residuals and returns it as the value 
%ss which is the results of this function.  The minimizing function (i.e. 
%fminsearch) will then use this value to determ if the this guess for the 
%parameters in para (start1) was an improvement or not from the previous one.

%save cc y;

%Saves the calculated curve y in the temporary file cc so it can be recalled if 
%this will be the final calculated value.

%End of function.
